# IRPCViews.GetFolderContentDownloadUrl

Location: [gRPC API](https://developer.m-files.com/APIs/gRPC-API/index.md) > [Vault API](https://developer.m-files.com/APIs/gRPC-API/vault/index.md) > [Views](https://developer.m-files.com/APIs/gRPC-API/Reference/MFiles.IRPCViews/index.md)

HTML version: https://developer.m-files.com/APIs/gRPC-API/Reference/MFiles.IRPCViews/GetFolderContentDownloadUrl/

Badges: `Vault API / standard` `write` `session or assertion`

Not available: always fails with "Not implemented.".

- **Service:** [Views](https://developer.m-files.com/APIs/gRPC-API/Reference/MFiles.IRPCViews/index.md) `MFiles.IRPCViews`
- **gRPC method:** `/MFiles.IRPCViews/GetFolderContentDownloadUrl`
- **HTTP (mf-http-grpc):** `POST /grpc/v1/get-folder-content-download-url`
- **Request:** [`GetFolderContentDownloadUrlRequest`](https://developer.m-files.com/APIs/gRPC-API/Reference/MFiles.IRPCViews/GetFolderContentDownloadUrl/index.md#request)
- **Response:** [`GetFolderContentDownloadUrlResponse`](https://developer.m-files.com/APIs/gRPC-API/Reference/MFiles.IRPCViews/GetFolderContentDownloadUrl/index.md#response)
- **Book and level:** Vault API, standard
- **Kind:** write
- **Session:** Required: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
- **Idempotent:** no
- **Returns metadata structure version:** no
- **Streaming:** none (unary)

<a id="request"></a>

## Request: GetFolderContentDownloadUrlRequest

Request details for generating a download key for downloading contents of multiple folders.

> Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

| Field | Type | Description |
|---|---|---|
| `download_requests[]` | repeated [`FolderContentDownloadUrlRequestData`](https://developer.m-files.com/APIs/gRPC-API/Reference/Messages/MFiles.FolderContentDownloadUrlRequestData/index.md) | Download requests. |
| `download_requests[].folders[]` | repeated [`Folder`](https://developer.m-files.com/APIs/gRPC-API/Reference/Messages/MFiles.Folder/index.md) | Array of folders defining the folder contents to download. |
| `download_requests[].folders[].type` | [`FolderType`](https://developer.m-files.com/APIs/gRPC-API/Reference/Enums/MFiles.FolderType/index.md) | The type of the folder, for example `FOLDER_TYPE_VIEW_FOLDER` or `FOLDER_TYPE_PROPERTY_FOLDER`. Values: `FOLDER_TYPE_UNKNOWN` (0), `FOLDER_TYPE_ANY_FOLDER` (1), `FOLDER_TYPE_VIEW_FOLDER` (2), `FOLDER_TYPE_PROPERTY_FOLDER` (3), `FOLDER_TYPE_TRADITIONAL_FOLDER` (4), `FOLDER_TYPE_SEARCH_FOLDER` (5), `FOLDER_TYPE_EXTERNAL_VIEW_FOLDER` (6). |
| `download_requests[].folders[].data` | [`FolderInfoUnion`](https://developer.m-files.com/APIs/gRPC-API/Reference/Messages/MFiles.FolderInfoUnion/index.md) | Additional folder type -specific information as a union. |

<a id="response"></a>

## Response: GetFolderContentDownloadUrlResponse

Response details for generating a download key for downloading contents of multiple folders.

> Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

| Field | Type | Description |
|---|---|---|
| `url` | `string` | The download URL. |
